GNU bug report logs - #34366
[PATCH] gnu: cryptsetup: Update to 2.0.6.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Rutger Helling <rhelling@HIDDEN>; Keywords: patch; merged with #30974; Done: Marius Bakke <mbakke@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 30974 <at> debbugs.gnu.org and Marius Bakke <mbakke@HIDDEN> Request was from Marius Bakke <mbakke@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34366 <at> debbugs.gnu.org:


Received: (at 34366) by debbugs.gnu.org; 12 Feb 2019 23:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 18:22:33 2019
Received: from localhost ([127.0.0.1]:45442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gthNp-0001V7-5k
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 18:22:33 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:45771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1gthNm-0001Uq-Ff
 for 34366 <at> debbugs.gnu.org; Tue, 12 Feb 2019 18:22:31 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 443BA22071;
 Tue, 12 Feb 2019 18:22:25 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Tue, 12 Feb 2019 18:22:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=K4y/ekxoj+48rnrPQwVP28lp3C
 ULIrbiaFFKf4edsNY=; b=uWuyTc/ZfXttDGuONcVROQAEO8UqTs0cKlHovuN/eJ
 3JZxf0HokRNEEWHqYLiptg6/4/Os61CA911bYFauByWuvVLcvp1KFOelZWF4p4D5
 XFY+OMLr3Q1jXJJngi9wFgf4N/N4i601K3CjqWTA3O/laPA8eOMVqihziltI5nbO
 mo8LUabIPTRW73lh2nTSzp/ZbgrQ9cJgM6cKg6ngbbHtZ0uXCJGmm2WPLi7GmBU7
 DG4et/3KMErRz6GkK4EtNQBJ3R1fzy3S4iqH9TPnNZSeCla/OADXbxzW83cdwWAW
 9xrN/sGypjFQr7gACWLNXvX1cK1KLYW5DWpj5DVW9A1Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=K4y/ek
 xoj+48rnrPQwVP28lp3CULIrbiaFFKf4edsNY=; b=bEZrTj5JoMlna6Js1RP6RK
 Ba7A8e20SP2Trj9Go2xwCeV8cx96MBBa6xVgz4jMVfGHTsFUG05fyeO353JBYimQ
 FqlJhZrT4WDPebsShUPwhEKE6bQZ3ZVvtq9L6Bui37c08K15pPDZAVaws6bAsyHo
 ma3aMpi8G+7GdWNrw9cVRNXhX0S4LMFZRbunF7umShmQ5PwUcEY8bJa0XHQxVKvV
 VXN1uLolgtqw67Lid0I2F6+ns9BwYyhGKeQM6kLXF2QpCED+qmNutSYX1wdOT3qI
 1qWKQsqBP54GcnbbLunxzpGkcFb7QRHnk7aFZofuB4kFXM3K1yKRCaeNjsC9CVGA
 ==
X-ME-Sender: <xms:MFVjXC5_rn9eY06pje6iraxJf9__wgEdP4YygzS2PZZLuYqb0Z7soA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledruddtvddgtdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffujghffg
 ffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgs
 rghkkhgvsehfrghsthhmrghilhdrtghomheqnecuffhomhgrihhnpehgnhhurdhorhhgne
 cukfhppeeivddrudeirddvvdeirddugedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehm
 sggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:MVVjXCrDLJVbBP-nXXGn4A9yridO_tlPaS_6sehv8YwxdCP8AoRiEA>
 <xmx:MVVjXKThfpIlzbbOWU9_Nj0uz_YlvA-E4iXb1bXWm1nNkhzHTYVenQ>
 <xmx:MVVjXD2YcP2Y4nJqvSjwIAPm1MkIs-MFihc26DeWOV-ZwpdG7S09pg>
 <xmx:MVVjXDik6xqQX39aWKzZWGwQADMKDOBiJLfzfEPi2E100pv_vFLNtw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 81CA610312;
 Tue, 12 Feb 2019 18:22:24 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, Rutger Helling <rhelling@HIDDEN>
Subject: Re: [bug#34366] [PATCH] gnu: cryptsetup: Update to 2.0.6.
In-Reply-To: <20190212230843.GB31074@HIDDEN>
References: <20190207111902.36bd0753@HIDDEN>
 <20190209102400.19d8fa94@HIDDEN> <20190212230843.GB31074@HIDDEN>
User-Agent: Notmuch/0.28.1 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Wed, 13 Feb 2019 00:22:23 +0100
Message-ID: <87k1i4wq1c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34366
Cc: 34366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Leo Famulari <leo@HIDDEN> writes:

> On Sat, Feb 09, 2019 at 10:24:00AM +0100, Rutger Helling wrote:
>> I just tested reconfiguring and rebooting. Everything still works for
>> me, including the initramfs.
>>=20
>> On Thu, 7 Feb 2019 11:19:02 +0100
>> Rutger Helling <rhelling@HIDDEN> wrote:
>>=20
>> > Hey Guix,
>> >=20
>> > here's an update for cryptsetup. Note that although it seems to run
>> > fine I haven't been able to test it with an initramfs (yet).
>
> Thanks!
>
> Are you able to incorporate the changes suggested in
> <https://bugs.gnu.org/30974> to cryptsetup-static? Let us know either
> way.

Note that, when testing #30974 on my machine, it caused severe file
system corruption and I had to reinstall.  So I recommend taking a full
backup before trying this on real hardware!

That said, I have tested a more recent version of that patch (attached)
in a VM and it appears to works fine.  Did not get around to trying it
on an already encrypted disk yet though.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-cryptsetup-Update-to-2.0.6.patch
Content-Transfer-Encoding: quoted-printable

From=2049d8c2519c05403c6a4ffb992b49f64a772eeecb Mon Sep 17 00:00:00 2001
From: Marius Bakke <mbakke@HIDDEN>
Date: Fri, 1 Feb 2019 00:27:45 +0100
Subject: [PATCH] gnu: cryptsetup: Update to 2.0.6.

* gnu/packages/cryptsetup.scm (cryptsetup): Update to 2.0.6.
[source](snippet): Delete bundled argon2.
[arguments]: Add #:configure-flags to use system argon2.
[inputs]: Add ARGON2 and JSON-C.
[native-inputs]: Add PKG-CONFIG.
(cryptsetup-static)[inputs]: Add ARGON2 and JSON-C.
[arguments]: Add "--enable-libargon2" and "BLKID_LIBS" to #:configure-flags.
[inputs]: Distinguish the static output of UTIL-LINUX.
=2D--
 gnu/packages/cryptsetup.scm | 43 ++++++++++++++++++++++++++++++-------
 1 file changed, 35 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/cryptsetup.scm b/gnu/packages/cryptsetup.scm
index be60ef072d..c1aafc3bbc 100644
=2D-- a/gnu/packages/cryptsetup.scm
+++ b/gnu/packages/cryptsetup.scm
@@ -25,14 +25,17 @@
   #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages linux)
+  #:use-module (gnu packages password-utils)
+  #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages popt)
   #:use-module (gnu packages python)
=2D  #:use-module (gnu packages linux))
+  #:use-module (gnu packages web))
=20
 (define-public cryptsetup
   (package
    (name "cryptsetup")
=2D   (version "1.7.5")
+   (version "2.0.6")
    (source (origin
             (method url-fetch)
             (uri (string-append "mirror://kernel.org/linux/utils/cryptsetu=
p/v"
@@ -40,15 +43,30 @@
                                 "/" name "-" version ".tar.xz"))
             (sha256
              (base32
=2D              "1gail831j826lmpdx2gsc83lp3br6wfnwh3vqwxaa1nn1lfwsc1b"))))
+              "0c1x125s7p4ps13spsqrcsd9dclz01vsrchmypq9msp7y3hgllbw"))
+            (modules '((guix build utils)))
+            (snippet
+             '(begin
+                ;; Delete bundled argon2 library.  Preserve the build files
+                ;; so that we don't trigger 'autoreconf'.
+                (for-each (lambda (file)
+                            (delete-file file))
+                          (find-files "lib/crypto_backend/argon2"
+                                      "(README|LICENSE|\\.[ch])$"))
+                #t))))
    (build-system gnu-build-system)
+   (arguments
+    `(#:configure-flags '("--enable-libargon2")))
    (inputs
=2D    `(("libgcrypt" ,libgcrypt)
+    `(("argon2" ,argon2)
+      ("json-c" ,json-c)
+      ("libgcrypt" ,libgcrypt)
       ("lvm2" ,lvm2)
       ("util-linux" ,util-linux)
       ("popt" ,popt)))
    (native-inputs
=2D    `(("python" ,python-wrapper)))
+    `(("pkg-config" ,pkg-config)
+      ("python" ,python-wrapper)))
    (synopsis "Hard disk encryption tool")
    (description
     "LUKS (Linux Unified Key Setup)/Cryptsetup provides a standard on-disk
@@ -78,8 +96,15 @@ files).  This assumes LIBRARY uses Libtool."
     (inherit cryptsetup)
     (name "cryptsetup-static")
     (arguments
=2D     '(#:configure-flags '("--disable-shared"
+     '(#:configure-flags `("--disable-shared"
                            "--enable-static-cryptsetup"
+                           "--enable-libargon2"
+
+                           ;; Link against the statically built blkid libr=
ary instead
+                           ;; of the shared one guessed by pkg-config.
+                           ,(string-append "BLKID_LIBS=3D-L"
+                                           (assoc-ref %build-inputs "util-=
linux:static")
+                                           " -lblkid")
=20
                            ;; 'libdevmapper.a' pulls in libpthread, libude=
v and libm.
                            "LIBS=3D-ludev -pthread -lm")
@@ -117,9 +142,11 @@ files).  This assumes LIBRARY uses Libtool."
               (inherit (static-library libgcrypt))
               (propagated-inputs
                `(("libgpg-error-host" ,(static-library libgpg-error)))))))
=2D       `(("libgcrypt" ,libgcrypt-static)
+       `(("argon2" ,argon2)
+         ("json-c" ,json-c)
+         ("libgcrypt" ,libgcrypt-static)
          ("lvm2" ,lvm2-static)
=2D         ("util-linux" ,util-linux "static")
+         ("util-linux:static" ,util-linux "static")
          ("util-linux" ,util-linux)
          ("popt" ,popt))))
     (synopsis "Hard disk encryption tool (statically linked)")))
=2D-=20
2.20.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlxjVS8ACgkQoqBt8qM6
VPqOIAgApxTz+UwqjDnoM45ti/JekgOgp37YCj0bvaHSlqsVpcIEn7zE1PrHzAsV
SKxxR9JjgsE4soB1WBLHjM+CxxKRPKs3rOeBWGxaupq59mj50DXHeQHBgqMcfSYc
gbjOtQoDuz1CLQMpR+j3VqbDGuYIcbGA+bOB79XuRFRFAZL4AM5XD8wih6liJhEY
pyHBJfhRD3Ld+CqlZ19qReanM60QgcazGF9xXYZcKH6Vt2qigWUVonF/PIOGVE5U
a1Uje00tq5ybLEknDVhY1VJsc36c5SmKCpNQLcLYED5zCpfQj3abjpf34LDKp4D7
+o4FwoD4GFwr+ubkCjRjwjIB3DC3Mg==
=xDv+
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34366; Package guix-patches. Full text available.

Message received at 34366 <at> debbugs.gnu.org:


Received: (at 34366) by debbugs.gnu.org; 12 Feb 2019 23:08:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 18:08:52 2019
Received: from localhost ([127.0.0.1]:45411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gthAZ-0007WU-La
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 18:08:51 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:56569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gthAY-0007WI-9e
 for 34366 <at> debbugs.gnu.org; Tue, 12 Feb 2019 18:08:50 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 3E30521DC1;
 Tue, 12 Feb 2019 18:08:45 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 12 Feb 2019 18:08:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=DmSVDvvy4dg6LGqG6r35zaAt
 pIBlYD4GGI9bY9lkVpQ=; b=T9wNmD82CzQtbjggKJ9Q09esyfGYXyq98qQaWJt4
 36MNSvL/lVdL+F/cYhjwmCTGWr2xwTDYYgQDB5f5n+0mdCaFyQPGPtCW1pyn36FI
 HSDDhubph+jGiEIxmIFCIR/95NAUH0dt4yhX/8vwDZd1bhi2C0geWCDLdFbNNr00
 NW8=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=DmSVDv
 vy4dg6LGqG6r35zaAtpIBlYD4GGI9bY9lkVpQ=; b=wH9APW3m1MjfRv14BOV4ZR
 C+lxlYXqLMrsYZRSGCETitoWpmaXePRuXspa7mhmADzqF9IUteIb0+cvLH3gQaS5
 YMhVc1+TLWtA0rZjThCewKBb2Lq1mk/Z88XNuJe/AaQ1v8vCzk/zibBl+qQloAGQ
 GmT1T9jn/U/v6YrPMDs8bP7QtpCzXmlYnTwwkhsP65hePN05a/lx99BKEVF6GJFE
 Gb32fCZxlpMRTfkI2Ni41FNg3mZ1FV5d6woegIw3kZo4iaRtnBZ98I6KofGV283r
 Gh1cfyxoOEst/MePUfX2iWAmbOZMbUQ1va07M9aWFlLBkCT7rdiVetk2GVw1Anwg
 ==
X-ME-Sender: <xms:_FFjXJRjQNiO7FDeFcfFygvUe8PRl4qUsNcIbdWkmdF-CODtWfDW2g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledruddtvddgtdeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffhffvuffkfh
 ggtggujggfsehgtderredtredvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehl
 vghosehfrghmuhhlrghrihdrnhgrmhgvqeenucffohhmrghinhepghhnuhdrohhrghenuc
 fkphepjeeirdduvdegrddvtddvrddufeejnecurfgrrhgrmhepmhgrihhlfhhrohhmpehl
 vghosehfrghmuhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:_FFjXHz7dlepEWz0Xh_2-jolCLVW_4IChFYuMwGtwVKvWJhhWSGDLQ>
 <xmx:_FFjXPtCV51LEUuANz75VDWik3J3E_BCD3UCRDYSOpcqEmVnHhm5UA>
 <xmx:_FFjXGxKd6LXfwGx4l3xpVZbRjMrzPLQIssuZJFK7VU0iNy8VTxjnA>
 <xmx:_VFjXMQYjCpt49CK3LyugitQBXkxxl1VRzzo0-KwwZN0iuyIP-bz7A>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0BEFBE4597;
 Tue, 12 Feb 2019 18:08:44 -0500 (EST)
Date: Tue, 12 Feb 2019 18:08:43 -0500
From: Leo Famulari <leo@HIDDEN>
To: Rutger Helling <rhelling@HIDDEN>
Subject: Re: [bug#34366] [PATCH] gnu: cryptsetup: Update to 2.0.6.
Message-ID: <20190212230843.GB31074@HIDDEN>
References: <20190207111902.36bd0753@HIDDEN>
 <20190209102400.19d8fa94@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="3MwIy2ne0vdjdPXF"
Content-Disposition: inline
In-Reply-To: <20190209102400.19d8fa94@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34366
Cc: 34366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--3MwIy2ne0vdjdPXF
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Feb 09, 2019 at 10:24:00AM +0100, Rutger Helling wrote:
> I just tested reconfiguring and rebooting. Everything still works for
> me, including the initramfs.
>=20
> On Thu, 7 Feb 2019 11:19:02 +0100
> Rutger Helling <rhelling@HIDDEN> wrote:
>=20
> > Hey Guix,
> >=20
> > here's an update for cryptsetup. Note that although it seems to run
> > fine I haven't been able to test it with an initramfs (yet).

Thanks!

Are you able to incorporate the changes suggested in
<https://bugs.gnu.org/30974> to cryptsetup-static? Let us know either
way.

--3MwIy2ne0vdjdPXF
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxjUfsACgkQJkb6MLrK
fwiF5BAArAKFCtzE4mCV8+4gz6jqX5moa3MOPqNCfI5pIFWVyleom8KCM5BvR/Ok
5NYOIP4vER3Pau3BEVZ1Xl4kiO2Gp3moE4L6ESvtyWjKG+CeYoAira9HZqnTpu4I
uvvgXaBrd0BpIke39xqpaD2o04+PdokXyO1avExq9eIgQrECcIijlVKgwN0EiVrQ
Wf9+SQ4BYcly8RjqFs6cW7IybBIaDeXdkdbNynHTYHrZJjkUKMV7uUvOMvfH9Jry
eiDpGVAFAEFYS83MKEAFh5CsW7uZvz1IePXIf8oC/t3WpLh1W65L0U3bbxFCBsQp
v2mPHEUCTL+IvfN54gHU2inMFINks/HQDudgih+r1qYwlN99+Cu92n8t6W7HCdyH
roSNycmVXt5jEUiliTHysAZ559xqbF8XvOLRg7BfcKRPj+NNFLR7PMkeN/YKY4/k
sasELeUon62PC6jpPhitv4IkLweM3PjFYB4T1yDwgHAhBa4xab1iEs6ZYeQn/7r9
LzE4ha64FFe0Gu00ZTtgcJjcA4FVOle3iRL61/Brgkw4VBTC7fxPfHJdlSklEO9+
/oyNdocnfhBLhQv4lz5jeT93dDN8T2omj6T8YunZed4MONHsUKlZ16XVeROtt0pL
l8VMqNruX/d3i8JUlhCGcedKylnH5Qk9Dn8BAIethslPywX/A38=
=0xCy
-----END PGP SIGNATURE-----

--3MwIy2ne0vdjdPXF--




Information forwarded to guix-patches@HIDDEN:
bug#34366; Package guix-patches. Full text available.
Merged 30974 34366. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34366 <at> debbugs.gnu.org:


Received: (at 34366) by debbugs.gnu.org; 9 Feb 2019 09:24:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 09 04:24:30 2019
Received: from localhost ([127.0.0.1]:40464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gsOs9-0001hT-PF
	for submit <at> debbugs.gnu.org; Sat, 09 Feb 2019 04:24:30 -0500
Received: from mx.kolabnow.com ([95.128.36.42]:60566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rhelling@HIDDEN>) id 1gsOs7-0001hB-NS
 for 34366 <at> debbugs.gnu.org; Sat, 09 Feb 2019 04:24:28 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTP id 3F134650
 for <34366 <at> debbugs.gnu.org>; Sat,  9 Feb 2019 10:24:21 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:references:in-reply-to
 :message-id:subject:subject:from:from:date:date:received
 :received:received; s=dkim20160331; t=1549704260; x=1551518661;
 bh=gJe8MoNYOoEGOsJM2zNSVWoRDul9AiJjHyo3HLSVe/U=; b=Wi6u5B2iSUog
 MaZae1CmsM3rKpDz5a1RBARBAHy+RFXxujCUdhx/s0MAygLZA1Vxh661jiHOF4h5
 EVqx+hONVH3fCp/NI35M/hWWVIOsirzhi2EoZTCHLCix8N0DWk9UCzLh6RPYbfT0
 J8AK7HQLoPcq9u4U2On61lwWl9/sOY+iG+IGICtACIS6A9WG4nbsDoSo2tqSk2Su
 jsxVrr+5TKfQrWLEsTlXrEHV93AVEwIkYDflGx/7KdvV1fQO+SjIWyzxDEWGmnRE
 XHB4/MVhu5GSjwoprxw4hEN9OK9AiU92SmA6HewaQjILioQ/bo3WX4p2cRf82rq8
 4sssJDvzwoY3Vu0gcl/cppgzedKi49Nf4FmsGVjGDSpgeRoHNRL01BSpUW1h8xI/
 ZxWuwTAF0YWQiM4aYpuWF8vz1KL4IYqQvZ0ZslDQOY8aigFECKomBs1a5bC5R9Pp
 DaAXkmizlPJ/8SGkCbfW0z/UosmCYKcjyMdp/CmLV+H3bzxhduarplnumxFCEx5k
 2mc+yAEEab4ZagNp7otNvXf8IviQE9ETc+FDsMOyafCFzFFCUtZAX0Aas1kbQpyA
 4/LCGs/zuV3taosZqlJXMfuC97TU7lmd+PWjcfGj5eaO2HbIJuKtH2ctbkWwHkgE
 VZd4S0I219KQTRA4pGCTMfFN26u0n5Y=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: 0.001
X-Spam-Level: 
X-Spam-Status: No, score=0.001 tagged_above=-10 required=5
 tests=[FREEMAIL_FROM=0.001] autolearn=disabled
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XwGDBFsyau5b for <34366 <at> debbugs.gnu.org>;
 Sat,  9 Feb 2019 10:24:20 +0100 (CET)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTPS id 400B4248
 for <34366 <at> debbugs.gnu.org>; Sat,  9 Feb 2019 10:24:20 +0100 (CET)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id 2A6C62577
 for <34366 <at> debbugs.gnu.org>; Sat,  9 Feb 2019 10:24:20 +0100 (CET)
Date: Sat, 9 Feb 2019 10:24:00 +0100
From: Rutger Helling <rhelling@HIDDEN>
To: 34366 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: cryptsetup: Update to 2.0.6.
Message-ID: <20190209102400.19d8fa94@HIDDEN>
In-Reply-To: <20190207111902.36bd0753@HIDDEN>
References: <20190207111902.36bd0753@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/lSwWB=nKY4B4DhO+U_BJ4rZ"; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34366
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/lSwWB=nKY4B4DhO+U_BJ4rZ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

I just tested reconfiguring and rebooting. Everything still works for
me, including the initramfs.

On Thu, 7 Feb 2019 11:19:02 +0100
Rutger Helling <rhelling@HIDDEN> wrote:

> Hey Guix,
>=20
> here's an update for cryptsetup. Note that although it seems to run
> fine I haven't been able to test it with an initramfs (yet).


--Sig_/lSwWB=nKY4B4DhO+U_BJ4rZ
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEAVThuRzJ2e93ZI3n86cn20T8yjYFAlxenDAACgkQ86cn20T8
yjap+Qf/cb19E5ZcGHkhdYfGOV7glGubwIqxwMU/+pH2oNkjDvtqWyTT9rybVvJh
fiZgwcTNpAL3icagHkNJRMcYmD78d2Y/tOT0RmEqBeP15juZLUun0qh3xOyZTiWc
M904OQCrdPIqu8rhZ6azzZ3UjLmIWoxF9p/f4dmD8+O7F2txo/LjPM4Cu4DSgtPZ
Evapy7VOopf8hV5ISrI845RFGAz83P0vWaERWgfLmhIgX+u8CIhFFRv0S1dWhSP4
k00n3yghMXREvA6K9Hpi8yUhc+dvgO7CqdhxdtKZRVOHtvrmQB5YmIVC0i9npnbV
PE8cxis6M9wV+sViGDn0bemaFi2b+A==
=cEf2
-----END PGP SIGNATURE-----

--Sig_/lSwWB=nKY4B4DhO+U_BJ4rZ--




Information forwarded to guix-patches@HIDDEN:
bug#34366; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2019 10:19:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 05:19:35 2019
Received: from localhost ([127.0.0.1]:36577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grgmM-0000RY-Ve
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 05:19:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rhelling@HIDDEN>) id 1grgmJ-0000RL-Pl
 for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 05:19:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:59083)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rhelling@HIDDEN>)
 id 1grgmE-000549-JJ
 for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 05:19:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35784)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1grgmD-0001To-KG
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 05:19:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1grgmC-00052s-Nx
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 05:19:25 -0500
Received: from mx.kolabnow.com ([95.128.36.41]:61288)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1grgmC-000523-Au
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 05:19:24 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTP id 963F66F1
 for <guix-patches@HIDDEN>; Thu,  7 Feb 2019 11:19:21 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:message-id:subject
 :subject:from:from:date:date:received:received:received; s=
 dkim20160331; t=1549534755; x=1551349156; bh=hYjxcnA2laKk0ruoK8A
 yVJZVM18AlS8ul5xCMalu6dY=; b=WqM5Ox8V0jIHbWw/cODqCgPEmyaAAwHTjMl
 wjnvfsSLAVZ7dR5alMRCh2+kPf2/y7ytx6wK5jgK3eFry72WnlDuXWGkivqOGf4J
 RRv558Qv2qQ9lJCOSVNfkwSGaVWOnmOTkNxtKWT1s0E1gx4OpdJXKLCW/9PpisqA
 bivQwyaHGQpx8hgxdpU1O5n3lj6QdGb/BXqx2SxG1/nBI873Y3RFjcYNdJsNqSFi
 z2NRGTNHSNSzBfbJomxF+2pPUxmfR1hOj98XzXlXgBamyEIjtRBsYodw6gduNWOE
 cvsqdO53r8PLDW6ZEHpcMSZFCgIPhtBeGQlhZbpBvCI/o7Am72FOoCESnsowUTti
 xIe73HIpCeMw3u1AFL662CK10s7f5RrARao98+od3YgcCDemUS0bMfiRGMaPzP05
 YOPDLBqdXghkuQk1DDOMqyajv8Cl+HFpBM28OQiW5zgO57PP4BQ3L6DLVftYGNxW
 LTcVx6zOmGTmUTItPxfm5krN/tqjycqJ7KQ8HZQ3wM/S+2Ra45w52lLgrgVIoQ8v
 H+A8VEzSCn9YqM+7pkY5YiAMV4xNgbUhra/fiqNHjOeQVDc3UViyXTn/jL5J1LNV
 Lfh+JCE77wLR1Ue2OvWy9QPdB1ya4VuGXuAyfx3Zfa/APO/oVEqI8VzXz9+0LEqx
 eI4r4IbY=
X-Virus-Scanned: amavisd-new at mykolab.com
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id eI2FESwCmyaW for <guix-patches@HIDDEN>;
 Thu,  7 Feb 2019 11:19:15 +0100 (CET)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTPS id A03C4226
 for <guix-patches@HIDDEN>; Thu,  7 Feb 2019 11:19:15 +0100 (CET)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id 895A12720
 for <guix-patches@HIDDEN>; Thu,  7 Feb 2019 11:19:15 +0100 (CET)
Date: Thu, 7 Feb 2019 11:19:02 +0100
From: Rutger Helling <rhelling@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: cryptsetup: Update to 2.0.6.
Message-ID: <20190207111902.36bd0753@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/RuUM4Eh.Sl1dyJsyxfPuPuR"; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 95.128.36.41
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

--Sig_/RuUM4Eh.Sl1dyJsyxfPuPuR
Content-Type: multipart/mixed; boundary="MP_/q42POxUU.BBtTDjsT6J6qwa"

--MP_/q42POxUU.BBtTDjsT6J6qwa
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Hey Guix,

here's an update for cryptsetup. Note that although it seems to run
fine I haven't been able to test it with an initramfs (yet).

--MP_/q42POxUU.BBtTDjsT6J6qwa
Content-Type: text/x-patch
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename=0001-gnu-cryptsetup-Update-to-2.0.6.patch

=46rom 3d7e4ac45a20a93dc3e206fc4cb4049ead634d0a Mon Sep 17 00:00:00 2001
From: Rutger Helling <rhelling@HIDDEN>
Date: Thu, 7 Feb 2019 10:55:53 +0100
Subject: [PATCH] gnu: cryptsetup: Update to 2.0.6.

* gnu/packages/cryptsetup.scm (cryptsetup): Update to 2.0.6.
[inputs]: Add json-c.
[native-inputs]: Add pkg-config.
* gnu/packages/cryptsetup.scm (cryptsetup-static)[arguments]: Add
--disable-blkid configure flag. Strip new cryptsetup-reencrypt and
integritysetup binaries of references too.
[inputs]: Add json-c.
---
 gnu/packages/cryptsetup.scm | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/cryptsetup.scm b/gnu/packages/cryptsetup.scm
index 9df26edc7..4b5498649 100644
--- a/gnu/packages/cryptsetup.scm
+++ b/gnu/packages/cryptsetup.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2013 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright =C2=A9 2016 Ludovic Court=C3=A8s <ludo@HIDDEN>
+;;; Copyright =C2=A9 2019 Rutger Helling <rhelling@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -25,14 +26,16 @@
   #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages popt)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages linux))
=20
 (define-public cryptsetup
   (package
    (name "cryptsetup")
-   (version "1.7.5")
+   (version "2.0.6")
    (source (origin
             (method url-fetch)
             (uri (string-append "mirror://kernel.org/linux/utils/cryptsetu=
p/v"
@@ -40,15 +43,17 @@
                                 "/" name "-" version ".tar.xz"))
             (sha256
              (base32
-              "1gail831j826lmpdx2gsc83lp3br6wfnwh3vqwxaa1nn1lfwsc1b"))))
+              "0c1x125s7p4ps13spsqrcsd9dclz01vsrchmypq9msp7y3hgllbw"))))
    (build-system gnu-build-system)
    (inputs
-    `(("libgcrypt" ,libgcrypt)
+    `(("json-c" ,json-c)
+      ("libgcrypt" ,libgcrypt)
       ("lvm2" ,lvm2)
       ("util-linux" ,util-linux)
       ("popt" ,popt)))
    (native-inputs
-    `(("python" ,python-wrapper)))
+    `(("pkg-config" ,pkg-config)
+      ("python" ,python-wrapper)))
    (synopsis "Hard disk encryption tool")
    (description
     "LUKS (Linux Unified Key Setup)/Cryptsetup provides a standard on-disk
@@ -80,6 +85,7 @@ files).  This assumes LIBRARY uses Libtool."
     (arguments
      '(#:configure-flags '("--disable-shared"
                            "--enable-static-cryptsetup"
+                           "--disable-blkid" ;; Enabling results in linkin=
g errors.
=20
                            ;; 'libdevmapper.a' pulls in libpthread, libude=
v and libm.
                            "LIBS=3D-ludev -pthread -lm")
@@ -109,7 +115,10 @@ files).  This assumes LIBRARY uses Libtool."
                                                                     ".stat=
ic")
                                                      file)
                                         (remove-store-references file))
-                                      '("sbin/cryptsetup" "sbin/veritysetu=
p"))
+                                      '("sbin/cryptsetup"
+                                        "sbin/cryptsetup-reencrypt"
+                                        "sbin/integritysetup"
+                                        "sbin/veritysetup"))
                             #t))))))))
     (inputs
      (let ((libgcrypt-static
@@ -117,7 +126,8 @@ files).  This assumes LIBRARY uses Libtool."
               (inherit (static-library libgcrypt))
               (propagated-inputs
                `(("libgpg-error-host" ,(static-library libgpg-error)))))))
-       `(("libgcrypt" ,libgcrypt-static)
+       `(("json-c" ,json-c)
+         ("libgcrypt" ,libgcrypt-static)
          ("lvm2" ,lvm2-static)
          ("util-linux" ,util-linux "static")
          ("util-linux" ,util-linux)
--=20
2.20.1


--MP_/q42POxUU.BBtTDjsT6J6qwa--

--Sig_/RuUM4Eh.Sl1dyJsyxfPuPuR
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEAVThuRzJ2e93ZI3n86cn20T8yjYFAlxcBhYACgkQ86cn20T8
yjacHAgAlOGxfv4ThVhTjhHdX3qrHoUyVaOI1qwulituA2fwvbYMdhCrRmxPDULA
jsxwDlpCmb+HvL7y6yM6F89dAAqKWN74exrFPH8O9+w4cbqwB2nUlVeNWmR28Lno
+8Ph7gKrHqWOxkdKQLvI+AM5jjOsaYI9/POL88F5VhY2kGXw7AyS023Ctd7hK37u
I3WsDxAPUJFw1SSCq+igpSNBeYPMNSoRflKI875VdWf1l3bzmNe62qGgR2VW8Ah9
aYEUC/B3nvznjf70DhBQh43Xa6zTJ1gxE90gJV2FO6Crl4YmnQcvZxYyMoXgm4C3
9Mu1xG8FdXGTg8BDorFI3fe1RgPkQw==
=wob9
-----END PGP SIGNATURE-----

--Sig_/RuUM4Eh.Sl1dyJsyxfPuPuR--




Acknowledgement sent to Rutger Helling <rhelling@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34366; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Feb 2019 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.